Subject: [IPP] Discuss relationship between "ipp-attribute-fidelity", "job-mandatory-attributes", and "pdl-override-supported" for IPP/2.0 Implementer's Guide

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Mon, 22 Jul 2013 18:00:04 +0000

Greetings,

I should have posted this to the reflector following the May 2013 Face-to-Face.  From that meeting, there was an action item to discuss the relationship between "ipp-attribute-fidelity", "job-mandatory-attributes", and "pdl-override".

Here is my understanding of the these attributes and the roles they play:

ipp-attribute-fidelity: if "true" then the attributes and attribute values in the operation MUST be supported by the Printer.  If not the Printer MUST reject the operation.

job-mandatory-attributes: lists the job attribute values the printer MUST support.  This allows the client to identify which ones are mandatory and which ones are optional.  This seems to mean that sending job-mandatory-attributes listing all the job attributes the client intends to provide is equivalent to sending ipp-attribute-fideiity set to "true".

pdl-override-supported: specifies whether the printer is capable of overriding job attributes embedded in the job document(s) with IPP job attributes, and with what level of reliability: "attempted" (RFC 2911), "not-attempted" (RFC 2911), "guaranteed" (PWG 5100.11).

Discussion of this in Section 15 (Appendix D) of RFC 2911 but recommendations for IPP Client and IPP Printer is still needed, hence the need for a section in the IPP/2.0 Implementer's Guide.

Thoughts / questions to answer (incomplete list):
1. Is there a series of operations including particular attributes that a client can use to reliably assess how to proceed with an IPP Printer that supports various pdl-override-supported values?

2. ipp-attribute-fidelity ONLY guarantees that the IPP attributes and attribute values are supported by the Printer.  It does NOT guarantee that the attributes and attribute values will affect the rendering of the job.  So for "modern" IPP clients and printers, should ipp-attribute-fidelity always be "true" if the Client is always able to acquire the attributes and attribute supported values?

3. ???

(I'm assuming that either this will trigger additional questions or will trigger an auto-immune response in someone who will put this discussion on the "right track".)

Since this is posted so close to the meeting, perhaps we will discuss this in person there.  But I wanted to get this posted in case that doesn't occur.

Smith

/**
    Smith Kennedy
    Hewlett-Packard Co.
    [email-masked]
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp